//
//  View.swift
//  Hit
//
//  Created by Mark Meretzky on 11/12/14.
//  Copyright (c) 2014 Mark Meretzky. All rights reserved.
//

import UIKit

class View: UIView {
	var first: Bool = true;
	let circle0: Circle = Circle(color: UIColor.greenColor());
	let circle1: Circle = Circle(color: UIColor.cyanColor());
	let circle2: Circle = Circle(color: UIColor.blueColor());

	required init(coder aDecoder: NSCoder) {
		super.init(coder: aDecoder);
		backgroundColor = UIColor.whiteColor();

		addSubview(circle0);
		addSubview(circle1);
		addSubview(circle2);
	}

	//The first time this method is called, give a size and position
	//to each subview.  The other times this method is called,
	//do nothing.

	override func layoutSubviews() {
		if first {
			first = false;
			let size: CGSize = bounds.size;
			let x: CGFloat = bounds.origin.x + size.width / 2;
			let y: CGFloat = bounds.origin.y;

			circle0.radius = bounds.size.width / 10;
			circle0.center = CGPointMake(x, y + size.height / 4);

			circle1.radius = bounds.size.width / 8;
			circle1.center = CGPointMake(x, y + size.height / 2);

			circle2.radius = bounds.size.width / 5;
			circle2.center = CGPointMake(x, y + size.height * 5 / 8);
		}
	}

	/*
	// Only override drawRect: if you perform custom drawing.
	// An empty implementation adversely affects performance during animation.
	override func drawRect(rect: CGRect) {
		// Drawing code
	}
	*/

}
